﻿

@{
    ViewData["PageTitle"] = "پیشخوان";
}

<div>
    <div class="alert alert-warning " role="alert">
        <strong>کاربر گرامی</strong> <br />
        احتراما پیرو الزام شاپرک مبنی بر پیاده سازی سامانه شاهکار، از این پس کدملی پذیرنده با کدملی دارنده خط تلفن همراه بررسی و صحت سنجی میشود که در صورت عدم تطابق، پایانه (ترمینال) تایید نخواهد شد.
    </div>
</div>

<!-- stats -->
<div class="row" data-title="گجت ها" data-intro="گجت های نمایش دهنده خلاصه اطلاعات مرتبط با کاربر">
    @await Component.InvokeAsync("MerchantCountWidget", new { UserId = ViewBag.UserId })
    @{
        if (User.IsInRole("Admin"))
            @await Component.InvokeAsync("AgentCountWidget", new { UserId = ViewBag.UserId })
        else
            @await Component.InvokeAsync("StoreCountWidget", new { UserId = ViewBag.UserId })
    }

    @await Component.InvokeAsync("TerminalCountWidget", new { UserId = ViewBag.UserId })

    @await Component.InvokeAsync("GainRateWidget", new { UserId = ViewBag.UserId })
</div>
<!--/ stats -->
<section>
    <div class="row match-height">
        <div class="col-xl-12 col-lg-12">
            @await Component.InvokeAsync("NewsWidget", new { UserId = ViewBag.UserId })
        </div>

    </div>
</section>
<!--/ project charts -->
<div class="row match-height">
    @*@await Component.InvokeAsync("TerminalsByPspWidget", new { UserId = ViewBag.UserId })
    @await Component.InvokeAsync("StoresByScopeWidget", new { UserId = ViewBag.UserId })*@
    <div class="col-xl-4 col-lg-12" hidden>
        <div class="card">
            <div class="card-body">
                <div class="card-block">
                    <h5 class="card-title">اطلاعیه و خبرها</h5>
                    <p class="card-text">اطلاعیه های کاری ...</p>
                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <span class="text-muted float-xs-right">1399/10/10</span>
                        <span class="tag tag-default tag-info">خبر</span>
                        شماره 1
                    </li>
                    <li class="list-group-item">
                        <span class="text-muted float-xs-right">1399/10/08</span>
                        <span class="tag tag-default tag-info">خبر</span>
                        شماره 2
                    </li>
                    <li class="list-group-item">
                        <span class="text-muted float-xs-right">1399/10/01</span>
                        <span class="tag tag-default tag-primary">اطلاعیه</span>
                        اطلاعیه شماره 2
                    </li>
                    <li class="list-group-item">
                        <span class="text-muted float-xs-right">1399/10/01</span>
                        <span class="tag tag-default tag-info">خبر</span>
                        شماره 4
                    </li>
                    <li class="list-group-item">
                        <span class="text-muted float-xs-right">1399/10/01</span>
                        <span class="tag tag-default tag-primary">اطلاعیه</span>
                        شماره 3
                    </li>
                </ul>
                <div class="card-block text-xs-center">
                    <a href="#" class="card-link">
                        مشاهده همه
                        <i class="icon-arrow-left2"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<!--/ project charts -->







<div class="row" hidden>
    <div class="col-lg-12">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body pb-0 d-flex justify-content-between">
                        <div>
                            <h4 class="mb-1">فروش خدمات</h4>
                            <p>درآمد ماهانه</p>
                            <h3 class="m-0">ریال 12,555</h3>
                        </div>
                        <div>
                            <ul>
                                <li class="d-inline-block mr-3"><a class="text-dark" href="#">روز</a></li>
                                <li class="d-inline-block mr-3"><a class="text-dark" href="#">هفته</a></li>
                                <li class="d-inline-block"><a class="text-dark" href="#">ماه</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="chart-wrapper" dir="ltr">
                        <canvas id="chart_widget_2"></canvas>
                    </div>
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <div class="w-100 mr-2">
                                <h6>شبکه فن آوا</h6>
                                <div class="progress" style="height: 6px">
                                    <div class="progress-bar bg-danger" style="width: 40%"></div>
                                </div>
                            </div>
                            <div class="ml-2 w-100">
                                <h6>شبکه پاسارگاد</h6>
                                <div class="progress" style="height: 6px">
                                    <div class="progress-bar bg-primary" style="width: 80%"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts{


    <script>
        debugger;


        let defaultOptions = {
            global: {
                defaultFontFamily: "'Vazir-FD', 'Open Sans', 'Roboto', 'sans-serif'",
            }
        };


        // overall-psp-statistics chart
        // ------------------------------
        $(window).on("load", function () {
        //$(document).ready(function (){

            let data = @Html.Raw((TempData["TerminalsByPsp"] != null ? TempData["TerminalsByPsp"] : "[]"));

            var overallPspStatisticsChart = $("#overall-psp-statistics-chart");

            var overallPspStatisticsChartOptions = {
                responsive: true,
                responsiveAnimationDuration: 500,
                maintainAspectRatio: false,
                legend: {
                    display: false,
                    position: 'right',
                    //rtl: true,
                    // textDirection: rtl,
                },
                tooltips: {
                    rtl: true
                },
            };

            var labels = $.map(data, function (o) {
                return o.Psp
            });
            var values = $.map(data, function (o) {
                return o.Count
            });
            var overallPspStatisticsChartData = {
                labels: labels,
                datasets: [{
                    label: "Total Terminal by PSP",
                    data: values,
                    backgroundColor: ["#99B898", "#FF847C", "#FECEA8", "#E84A5F", "#2A363B"],
                }]
            };

            var overallReceptionStatisticsConfig = {
                type: 'pie',
                options: overallPspStatisticsChartOptions,
                data: overallPspStatisticsChartData
            };

            var overallPspStatisticsChartInit = new Chart(overallPspStatisticsChart, overallReceptionStatisticsConfig);

        });

                // overall-store-scope chart
        // ------------------------------
        $(window).on("load", function () {
        //$(document).ready(function () {
            debugger;

            let data = @Html.Raw((TempData["StoresByBusinessGroup"] != null ? TempData["StoresByBusinessGroup"] : "[]"));

            var overallStoresScopeChart = $("#overall-store-scope-chart");

            var overallStoresScopeChartOptions = {
                responsive: true,
                responsiveAnimationDuration: 500,
                maintainAspectRatio: false,
                legend: {
                    display: false,
                    position: 'right',
                    //rtl: true,
                    // textDirection: rtl,
                },
                tooltips: {
                    rtl: true,
                    //enabled: false
                },
            };

            // Chart Data
            var overallStoresScopeChartData = {
                labels: data.map(item => item.ScopeName),
                datasets: [{
                    label: "Total Test by Type",
                    data: data.map(item => item.Count),
                    backgroundColor: dynamicColors(data.length),
                }]
            };

            var overallStoresScopeConfig = {
                type: 'doughnut',
                options: overallStoresScopeChartOptions,
                data: overallStoresScopeChartData
            };

            // Create the chart
            var overallStoresScopeChartInit = new Chart(overallStoresScopeChart, overallStoresScopeConfig);

        });
        Chart.defaults.global.defaultFontFamily = "'Vazir-FD', 'Open Sans', 'Roboto', 'sans-serif'";

        var dynamicColors = function (a) {
            colors = [];
            for (let i = 0; i < a; i++) {
                this.colors.push('#' + Math.floor(Math.random() * 16777215).toString(16));
            }
            return colors;
        }

    </script>


}
